# Upgrading Modpack
Write-Output "SMCNV pre-launch: Checking for Modpack updates..."
Set-Location ..

$json = Get-Content "mmc-pack.json" | ConvertFrom-Json

$table = $json.components | Where-Object { $_.cachedName -eq "Minecraft" }
$mcVersion = $table.version

if (Test-Path -Path ".\.minecraft") {
    Set-Location ".\.minecraft"
} else {
    Set-Location ".\minecraft"
}

$processOptions = @{
    FilePath = $Env:INST_JAVA
    ArgumentList = "-jar packwiz-installer-bootstrap.jar",
        "https://srv.yt/public-share/packwiz-modpacks/SMCNV-modpack/pack.toml"
}
Start-Process @processOptions -Wait


$autoUpdater = Start-Process -FilePath "powershell" -ArgumentList "-ExecutionPolicy Bypass .\scripts\auto_update.ps1" -passthru
$autoUpdater.Id | Out-File "auto_updater.pid"
Write-Output "SMCNV pre-launch: Started auto updater with PID $($autoUpdater.Id)"